tvbrowser.ui.mainframe.actions

## Class TVBrowserUpdateAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - tvbrowser.ui.mainframe.actions.TVBrowserAction
    - - tvbrowser.ui.mainframe.actions.TVBrowserUpdateAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class TVBrowserUpdateAction
      extends TVBrowserAction

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tvbrowser.ui.mainframe.actions.TVBrowserAction

      `mLocalizer`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVBrowserUpdateAction(java.lang.String key, javax.swing.ImageIcon smallIcon, javax.swing.ImageIcon largeIcon, int keyCode, int keyMask, int toolbarActionType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getKey()`
    `boolean` | `isUpdating()`
    `void` | `setUpdating(boolean updating)`

    - ### Methods inherited from class tvbrowser.ui.mainframe.actions.TVBrowserAction

      `getAccelerator, getIcon, getMenuHelpText, getMenuText, getToolbarIdentifier, getToolbarText, isSelected, showPopupMenu, useEllipsis`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### TVBrowserUpdateAction

          public TVBrowserUpdateAction(java.lang.String key,
                               javax.swing.ImageIcon smallIcon,
                               javax.swing.ImageIcon largeIcon,
                               int keyCode,
                               int keyMask,
                               int toolbarActionType)

  - ### Method Detail

    - #### getKey

          protected java.lang.String getKey()

      Overrides:
        `getKey` in class `TVBrowserAction`

    - #### setUpdating

          public void setUpdating(boolean updating)

    - #### isUpdating

          public boolean isUpdating()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)